<?php
/// $Id: node.tpl.php,v 1.1 2010/05/22 11:58:56 blagoj Exp $

/**
 * @file node.tpl.php
 *
 * Theme implementation to display a node.
 *
 * Available variables:
 * - $title: the (sanitized) title of the node.
 * - $content: Node body or teaser depending on $teaser flag.
 * - $picture: The authors picture of the node output from
 *   theme_user_picture().
 * - $date: Formatted creation date (use $created to reformat with
 *   format_date()).
 * - $links: Themed links like "Read more", "Add new comment", etc. output
 *   from theme_links().
 * - $name: Themed username of node author output from theme_user().
 * - $node_url: Direct url of the current node.
 * - $terms: the themed list of taxonomy term links output from theme_links().
 * - $submitted: themed submission information output from
 *   theme_node_submitted().
 *
 * Other variables:
 * - $node: Full node object. Contains data that may not be safe.
 * - $type: Node type, i.e. story, page, blog, etc.
 * - $comment_count: Number of comments attached to the node.
 * - $uid: User ID of the node author.
 * - $created: Time the node was published formatted in Unix timestamp.
 * - $zebra: Outputs either "even" or "odd". Useful for zebra striping in
 *   teaser listings.
 * - $id: Position of the node. Increments each time it's output.
 *
 * Node status variables:
 * - $teaser: Flag for the teaser state.
 * - $page: Flag for the full page state.
 * - $promote: Flag for front page promotion state.
 * - $sticky: Flags for sticky post setting.
 * - $status: Flag for published status.
 * - $comment: State of comment settings for the node.
 * - $readmore: Flags true if the teaser content of the node cannot hold the
 *   main body content.
 * - $is_front: Flags true when presented in the front page.
 * - $logged_in: Flags true when the current user is a logged-in member.
 * - $is_admin: Flags true when the current user is an administrator.
 *
 * @see template_preprocess()
 * @see template_preprocess_node()
 */
?>

<div class="post post-single" id="node-<?php print $node->nid; ?>"><!-- post div -->
  <?php if ($title): ?>
	<h2 class="title title-single"><a href="<?php print $node_url ?>" rel="bookmark"><?php print $title ?></a></h2>
  <?php endif; ?>
  <div class="post-info-top">
    <span class="post-info-date"><?php print $posted_by ?> on <?php print $post_month ?>.<?php print $post_day ?>, <? print $post_year; ?></span>
	<span><?php if ($links): ?> | <?php print zbench_fix_post_links($node->links, ' | '); ?><?php endif; ?></span>
  </div>
  <div class="fixed"></div>
  <div class="entry">
	<?php print $content ?>
  </div><!-- END entry -->
  <div class="add-info">
  </div>
  <div class="post-info-bottom">
	<?php if ($terms): ?><span class="post-info-tags"><?php print zbench_fix_tags($node->taxonomy, ' , ') ?></span><?php endif; ?>
  </div>					
</div><!-- END post -->
